namespace PkmnLib.Plugin.Gen7.Scripts.Abilities;

/// <summary>
/// Reckless is an ability that boosts the power of moves that have recoil or crash damage.
///
/// <see href="https://bulbapedia.bulbagarden.net/wiki/Reckless_(Ability)">Bulbapedia - Reckless</see>
/// </summary>
[Script(ScriptCategory.Ability, "reckless")]
public class Reckless : Script, IScriptChangeBasePower
{
    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower)
    {
        if (move.UseMove.HasFlag(MoveFlags.Recoil))
        {
            basePower = basePower.MultiplyOrMax(1.2f);
        }
    }
}